#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-7aZj8vqnanNKumbfsylXCO
key:                  lsp-1.4.0.0-7aZj8vqnanNKumbfsylXCO
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  c005405ec00e8943d4365ca31dac9d0e
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-CGd2dWQgKWC54UIS6lcrRL:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-CGd2dWQgKWC54UIS6lcrRL:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-CGd2dWQgKWC54UIS6lcrRL:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-CGd2dWQgKWC54UIS6lcrRL:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-7aZj8vqnanNKumbfsylXCO
depends:
    aeson-2.1.2.1-8ueLuG1qYj9Fbt4mgkSEM3
    async-2.2.5-2fFQNeGTnza76ySWZ6URG8
    attoparsec-0.14.4-9F9tnN8VDhqE7eiteCM5HG base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-KHhiQ7RPZneCNDFTFmFAYS exceptions-0.10.4
    hashable-1.4.4.0-JPPoH0HitSIaCdulNsJk5
    hslogger-1.3.1.1-5sJBb9bTl31Kj4aoScK1Y3
    lens-5.2.3-IfVI0lYg8YCKwUpCShTCzd
    lsp-types-1.4.0.1-CGd2dWQgKWC54UIS6lcrRL mtl-2.2.2
    network-uri-2.6.4.2-GvYkTKJEBgnFJWy62fBoLH
    random-1.2.1.2-4MvNAJNQIvxGHtrKNblxG1
    scientific-0.3.7.0-5LYId1uMyYd6WtLuciLYcq
    sorted-list-0.2.2.0-B4OKngF7YhoEUORq1LBeM5 stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-E4Tm9IvXwjlGK4H2DBnoSH
    uuid-1.3.15-DHFkgyemV7tAPyzN8xQ6lb

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

